com.pixelmed.network

## Class MoveSOPClassSCU.CMoveResponseHandler

- java.lang.Object
- - com.pixelmed.network.ReceivedDataHandler
  - - com.pixelmed.network.CompositeResponseHandler
    - - com.pixelmed.network.MoveSOPClassSCU.CMoveResponseHandler

Enclosing class:
  MoveSOPClassSCU

    protected class MoveSOPClassSCU.CMoveResponseHandler
    extends CompositeResponseHandler

### Field Summary

### Fields inherited from class com.pixelmed.network.CompositeResponseHandler

`allowData, commandReceived, dataReceived, status, success`

### Fields inherited from class com.pixelmed.network.ReceivedDataHandler

`debugLevel, done, release`

### Method Summary

Methods
`protected void` `evaluateStatusAndSetSuccess(AttributeList list)` Extract the status information from a composite response and set the status flag accordingly.
`protected void` `makeUseOfDataSet(AttributeList list)` Ignore any data set in the composite response (unless this method is overridden).

### Methods inherited from class com.pixelmed.network.CompositeResponseHandler

`dumpAttributeListFromCommandOrData, getAttributeListFromCommandOrData, getStatus, sendPDataIndication, wasSuccessful`

### Methods inherited from class com.pixelmed.network.ReceivedDataHandler

`dumpPDVList, isDone, isToBeReleased, setDone, setRelease`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### evaluateStatusAndSetSuccess

    protected void evaluateStatusAndSetSuccess(AttributeList list)

Description copied from class: `CompositeResponseHandler`
Extract the status information from a composite response and set the status flag accordingly.

Specified by:
  `evaluateStatusAndSetSuccess` in class `CompositeResponseHandler`
Parameters:
  `list` -

#### makeUseOfDataSet

    protected void makeUseOfDataSet(AttributeList list)

Description copied from class: `CompositeResponseHandler`
Ignore any data set in the composite response (unless this method is overridden).

Overrides:
  `makeUseOfDataSet` in class `CompositeResponseHandler`
Parameters:
  `list` -